Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7620 - failure to authenticate when remote NIS server is configured for C2 security
Summary: failure to authenticate when remote NIS server is configured for C2 security
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-06 05:28 UTC by dnelson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 19:25:53 UTC


Attachments (Terms of Use)

Description dnelson 1999-12-06 05:28:50 UTC
Currently our NIS servers are on Sol 2.6 machines in which NIS uses the
shadow.adjunct file (ie C2 security).  This makes the shadow information
unretreiveable via typical NIS methods since the NIS database files are not
generated.  RH 6.0 thus fails to authenticate using this method of NIS
security.

I contacted the author/maintainer of yp-tools (Thorsten Kukuk
<kukuk@vt.uni-paderborn.de>) and per his suggestion, I tried SuSE 6.2 which
properly authenticated logins via NIS using the above configuration.

Comment 1 Cristian Gafton 2000-01-27 19:25:59 UTC
A newer version of ypbind should fix this problem.

Comment 2 dnelson 2000-02-03 22:15:59 UTC
This authentication failure is also present in RH 6.1.  By default, 'login' uses
the PAM module 'pam_pwdb.so'.  In order to use C2 enabled NIS, one must edit
/etc/pwdb.conf so that the 'nis' entries read 'decnis'.  This is documented
/usr/doc/pwdb-xxx.

	/\/elson


Note You need to log in before you can comment on or make changes to this bug.